Method: projects.locations.collections.dataStores.completionSuggestions.import

ייבוא של CompletionSuggestion ל-DataStore.

בקשת HTTP


POST https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/collections/*/dataStores/*}/completionSuggestions:import

כתובות ה-URL כתובות בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
parent

string

חובה. שם המשאב של מאגר הנתונים הראשי שממנו רוצים לייבא הצעות של ההשלמה האוטומטית של לקוחות.

התבנית projects/*/locations/*/collections/*/dataStores/*

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "errorConfig": {
    object (ImportErrorConfig)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  },
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
שדות
errorConfig

object (ImportErrorConfig)

המיקום הרצוי של השגיאות שמתרחשות במהלך הייבוא.

המקור של ההצעות להשלמה אוטומטית. הרשימה הבאה כוללת שדות שאי אפשר להשתמש בהם בו-זמנית. בכל תשובה יוגדר לכל היותר אחד מהשדות:
inlineSource

object (InlineSource)

המקור בפסקה של רשומות ההצעה.

gcsSource

object (GcsSource)

מיקום ב-Cloud Storage של תוכן הקלט.

bigquerySource

object (BigQuerySource)

מקור קלט של BigQuery.

סוף השדות הבלעדיים.

גוף התשובה

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל מופע של Operation.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב parent:

  • discoveryengine.completionSuggestions.import

מידע נוסף מופיע במאמרי העזרה בנושא IAM.